package com.kingdee.eas.custom.emp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.emp.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class MultiDataToPersonBaseFacade extends AbstractBizCtrl implements IMultiDataToPersonBaseFacade
{
    public MultiDataToPersonBaseFacade()
    {
        super();
        registerInterface(IMultiDataToPersonBaseFacade.class, this);
    }
    public MultiDataToPersonBaseFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IMultiDataToPersonBaseFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("4B9C8740");
    }
    private MultiDataToPersonBaseFacadeController getController() throws BOSException
    {
        return (MultiDataToPersonBaseFacadeController)getBizController();
    }
    /**
     *同步多行表数据到基础数据-User defined method
     */
    public void syncMultiDataToBase() throws BOSException, EASBizException
    {
        try {
            getController().syncMultiDataToBase(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}